ClarisWksGraphInternal::Zone Struct Reference

Internal: the generic structure used to store a zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::Zone:

## Public Types

enum | Type { T_Zone , T_Zone2 , T_Shape , T_Picture , T_Chart , T_DataBox , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Pict , T_QTim , T_Movie }
| the list of types More...

## Public Member Functions

| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual Type | getType () const
| return the main type
virtual Type | getSubType () const
| return the subtype
virtual int | getNumData (int) const
| return the number of data to define this zone in the file
virtual void | print (std::ostream &) const
| print the data contains
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone
virtual int | getZoneId () const
| returns the id of the reference zone
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check)

## Public Attributes

int | m_zoneType
| the zone type
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<<

## Detailed Description

Internal: the generic structure used to store a zone of a ClarisWksGraph.

## Member Enumeration Documentation

## Type

enum ClarisWksGraphInternal::Zone::Type

the list of types

Enumerator
T_Zone |
T_Zone2 |
T_Shape |
T_Picture |
T_Chart |
T_DataBox |
T_Unknown |
T_Line |
T_Rect |
T_RectOval |
T_Oval |
T_Arc |
T_Poly |
T_Pict |
T_QTim |
T_Movie |

## Constructor & Destructor Documentation

## Zone() [1/2]

ClarisWksGraphInternal::Zone::Zone | ( |  | ) |

inline

constructor

Referenced by ClarisWksGraphInternal::Chart::Chart(), operator<<, Zone(), ClarisWksGraphInternal::ZonePict::ZonePict(), ClarisWksGraphInternal::ZoneShape::ZoneShape(), ClarisWksGraphInternal::ZoneUnknown::ZoneUnknown(), and ClarisWksGraphInternal::ZoneZone::ZoneZone().

## Zone() [2/2]

ClarisWksGraphInternal::Zone::Zone | ( | Zone const & |  | ) |

default

## ~Zone()

ClarisWksGraphInternal::Zone::~Zone | ( |  | ) |

virtual

destructor

## Member Function Documentation

## canBeSendAsGraphic()

virtual bool ClarisWksGraphInternal::Zone::canBeSendAsGraphic | ( |  | ) | const

inline virtual

returns true if the zone can be send using a graphic listener (partial check)

Reimplemented in ClarisWksGraphInternal::ZoneZone.

## getBdBox()

MWAWBox2f ClarisWksGraphInternal::Zone::getBdBox | ( |  | ) | const

inline

return the zone bdbox

Referenced by ClarisWksGraph::readShape(), and ClarisWksGraph::sendShape().

## getChild()

virtual ClarisWksStruct::DSET::Child ClarisWksGraphInternal::Zone::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented in ClarisWksGraphInternal::Chart, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZoneUnknown, and ClarisWksGraphInternal::ZoneZone.

## getNumData()

virtual int ClarisWksGraphInternal::Zone::getNumData | ( | int |  | ) | const

inline virtual

return the number of data to define this zone in the file

Reimplemented in ClarisWksGraphInternal::Chart, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZoneUnknown, and ClarisWksGraphInternal::ZoneZone.

## getSubType()

virtual Type ClarisWksGraphInternal::Zone::getSubType | ( |  | ) | const

inline virtual

return the subtype

Reimplemented in ClarisWksGraphInternal::Chart, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZoneUnknown, and ClarisWksGraphInternal::ZoneZone.

## getType()

virtual Type ClarisWksGraphInternal::Zone::getType | ( |  | ) | const

inline virtual

return the main type

Reimplemented in ClarisWksGraphInternal::Chart, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZoneUnknown, and ClarisWksGraphInternal::ZoneZone.

Referenced by canBeSendAsGraphic().

## getZoneId()

virtual int ClarisWksGraphInternal::Zone::getZoneId | ( |  | ) | const

inline virtual

returns the id of the reference zone

Reimplemented in ClarisWksGraphInternal::ZoneZone.

## print()

virtual void ClarisWksGraphInternal::Zone::print | ( | std::ostream & |  | ) | const

inline virtual

print the data contains

Reimplemented in ClarisWksGraphInternal::Chart, ClarisWksGraphInternal::ZonePict, ClarisWksGraphInternal::ZoneShape, ClarisWksGraphInternal::ZoneUnknown, and ClarisWksGraphInternal::ZoneZone.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | zone )

friend

operator<<

## Member Data Documentation

## m_box

MWAWBox2f ClarisWksGraphInternal::Zone::m_box

the bdbox

Referenced by getBdBox(), ClarisWksGraphInternal::Chart::getChild(), getChild(), ClarisWksGraphInternal::ZonePict::getChild(), ClarisWksGraphInternal::ZoneShape::getChild(), ClarisWksGraphInternal::ZoneUnknown::getChild(), ClarisWksGraphInternal::ZoneZone::getChild(), operator<<, ClarisWksGraph::readGroupDef(), ClarisWksGraph::readShape(), ClarisWksGraph::sendPicture(), and Zone().

## m_ordering

int ClarisWksGraphInternal::Zone::m_ordering

the ordering

Referenced by operator<<, ClarisWksGraph::readGroupDef(), and Zone().

## m_page

int ClarisWksGraphInternal::Zone::m_page

the page (checkme: or frame linked )

Referenced by operator<<, and Zone().

## m_style

Style ClarisWksGraphInternal::Zone::m_style

the style

Referenced by operator<<, ClarisWksGraph::readGroupDef(), ClarisWksGraph::sendShape(), and Zone().

## m_zoneType

int ClarisWksGraphInternal::Zone::m_zoneType

the zone type

Referenced by operator<<, ClarisWksGraph::readGroupDef(), ClarisWksGraph::readShape(), and Zone().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx